Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class ServerInstanceImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
          edu.stanford.smi.protege.server.metaproject.impl.PolicyControlledObjectImpl
              edu.stanford.smi.protege.server.metaproject.impl.ServerInstanceImpl

All Implemented Interfaces:
  Localizable, PolicyControlledObject, ServerInstance, Serializable

    public class ServerInstanceImpl

extends PolicyControlledObjectImpl
implements ServerInstance, Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `ServerInstanceImpl(MetaProjectImpl mp, Instance pi)`

Method Summary
`String` | `getHostName()`
`void` | `setHostName(String hostName)`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.PolicyControlledObjectImpl
`addAllowedGroupOperations, equals, getAllowedGroupOperations, getDescription, getName, hashCode, setAllowedGroupOperations, setDescription, setName, toString`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
`addSlotValue, getCls, getMetaProject, getProtegeCollection, getProtegeInstance, getSlotValue, getSlotValues, localize, setSlotValue, setSlotValuesAsProtegeInstances`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.server.metaproject.PolicyControlledObject
`addAllowedGroupOperations, getAllowedGroupOperations, getDescription, getMetaProject, getName, getProtegeInstance, setAllowedGroupOperations, setDescription, setName`

Constructor Detail

### ServerInstanceImpl

    protected ServerInstanceImpl(MetaProjectImpl mp,
                                 Instance pi)

Method Detail

### getHostName

    public String getHostName()

  Specified by:
    `getHostName` in interface `ServerInstance`

### setHostName

    public void setHostName(String hostName)

  Specified by:
    `setHostName` in interface `ServerInstance`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.